> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getEmployeeTimeTrackingStatus

> The `getEmployeeTimeTrackingStatus` API retrieves an employee's current status within time tracking to determine their eligibility for clock in/out and break actions.

### What it does:

- Returns wether the employee is currently clocked in or on a break
- Provides the clockIn time and break start time (if applicable) so their current shift duration can be calculated

### Note:
- The shift and break start times are returned in the employee's local timezone



## OpenAPI

````yaml get /reports/getEmployeeTimeTrackingStatus
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getEmployeeTimeTrackingStatus:
    get:
      tags:
        - TimeTracking Reports
      summary: getEmployeeTimeTrackingStatus
      description: >-
        The `getEmployeeTimeTrackingStatus` API retrieves an employee's current
        status within time tracking to determine their eligibility for clock
        in/out and break actions.


        ### What it does:


        - Returns wether the employee is currently clocked in or on a break

        - Provides the clockIn time and break start time (if applicable) so
        their current shift duration can be calculated


        ### Note:

        - The shift and break start times are returned in the employee's local
        timezone
      operationId: getEmployeeTimeTrackingStatus
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - userId
                - companyId
            example:
              method: getEmployeeTimeTrackingStatus
              userId: C4CA148F-F2C6-4E70-8349-5d7CC6DFC1C2B
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
      responses:
        '200':
          description: Employee time tracking status
          content:
            application/json:
              schema:
                type: object
                properties:
                  employeeTimeStatus:
                    type: object
                    properties:
                      clockedIn:
                        type: boolean
                      timeEntryId:
                        type: string
                      clockInTime:
                        type: string
                      onBreak:
                        type: boolean
                      breakStartTime:
                        type: string
                    required:
                      - clockedIn
                      - onBreak
                required:
                  - employeeTimeStatus
              example:
                employeeTimeStatus:
                  clockedIn: true
                  timeEntryId: 4942446B-5B19-4FC2-9559-9B74DE58D29B
                  clockInTime: '23:32:28'
                  onBreak: true
                  breakStartTime: '23:32:37'
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Employee not found
          headers: {}
      deprecated: false
      security: []

````